@font-face {
    font-family: Roboto;
    src: url("../fonts/Roboto Font Family/Roboto-Regular.ttf");
}
@font-face {
    font-family: "Roboto Black";
    src: url("../fonts/Roboto Font Family/Roboto-Black.ttf");
}
@font-face {
    font-family: "Roboto Light";
    src: url("../fonts/Roboto Font Family/Roboto-Light.ttf");
}
@font-face {
    font-family: Chivo;
    src: url("../fonts/Chivo Font Family/Chivo-Regular.ttf");
}
@font-face {
    font-family: "Chivo Black";
    src: url("../fonts/Chivo Font Family/Chivo-Black.ttf");
}
@font-face {
    font-family: "Chivo Light";
    src: url("../fonts/Chivo Font Family/Chivo-Light.ttf");
}
/*
    pink bg: #FCE6E9
    red bg and logo: #F0463B
    white text on red: #FFFFFF
    grey text on pink: #908386
*/

.jumbotron {
    background-color: #F0463B;
    color: #FFFFFF;
    padding-top: 1rem;
    padding-bottom: 1rem;
}
#startHeader {
    background-color: #F0463B;
    color: #FFFFFF;
}

.img-fluid {
    max-height: 45rem;
}

input[type=submit] {
    white-space: normal;
}

#choiceContainerForm .btn-secondary:hover {
    background-color: #615558;
    border-color: #615558;
}
#choiceContainerForm .btn-secondary {
    background-color: #908386;
    border-color: #908386;
    color: #FFFFFF;
}

.card {
    background-color: #FCE6E9;
    border-color: #FCE6E9;
    color: #908386;
    padding: 1rem;
}

.btn {
    padding: 1.5rem;
}

.btn-danger {
    background-color: #F0463B;
    color: #FFFFFF;
}
.btn-outline-danger {
    border-color: #F0463B;
}

.btn-danger:hover, .btn-outline-danger:hover {
    background-color: #c2221c;
    border-color: #c2221c;
}

.btn-primary {
    background-color: #28b3ff;
    border-color: #28b3ff;
}

#advancedAssignmentButton {
    background-color: rgba(0, 0, 0, 0.2);
    border-color: rgba(0, 0, 0, 0.2);
}

#advancedAssignmentButton:hover {
    background-color: rgba(0, 0, 0, 0.45);
    border-color: rgba(0, 0, 0, 0.45);
}

a.badge-danger {
    background-color: #F0463B;
    color: #FFFFFF;
    padding: .5rem;
}

.modal-body {
    border-top-left-radius: calc(.3rem - 1px);
    border-top-right-radius: calc(.3rem - 1px);
    background-color: #F0463B;
    color: #FFFFFF;
}

.modal-content {
    border-top-left-radius: .3rem;
    border-top-right-radius: .3rem;
}

/* speech bubble css: https://leaverou.github.io/bubbly/ */
.speech-bubble-left, .speech-bubble-right, .speech-bubble {
    position: relative;
    background: #F0463B;
    border-radius: .4em;
    color: #FFFFFF;
    padding: 1.5rem;
}

.speech-bubble-left:after {
    content: '';
    position: absolute;
    right: 0;
    top: 50%;
    width: 0;
    height: 0;
    border: 0.5em solid transparent;
    border-left-color: #F0463B;
    border-right: 0;
    margin-top: -0.5em;
    margin-right: -0.5em;
}

.speech-bubble-right:after {
    content: '';
    position: absolute;
    left: 0;
    top: 50%;
    width: 0;
    height: 0;
    border: 0.5em solid transparent;
    border-right-color: #F0463B;
    border-left: 0;
    margin-top: -0.5em;
    margin-left: -0.5em;
}

.dialog-scroll-container {
    overflow-y: scroll;
}

.correct-choice {
    background: #28a745;
}
.correct-choice:after {
    border-left-color: #28a745;
}

.score-board {
    background-color: #F0463B;
    color: #FFFFFF;
}

/* Animation */
#backgroundContainer {
    z-index: -2;
    position: fixed;
    height: 100vh;
    width: 100vw;
    top: 0;
}

#backgroundContainer img {
    position: absolute;
    height: 100%;
    width: 100%;
    bottom: 0;
    object-fit: cover;
    display: block;
}

#currentBackground, #nextBackground {
    overflow: hidden;
    float: left;
}

#animationContainer {
    top:0;
    z-index: -1;
    overflow: hidden;
    height: 100vh;
    width: 100vw;
    position: fixed;
}

#planetImage {
    position: absolute;
    height: auto;
    width: 150%;
    bottom: -100vw;
    left: -25%;
}

#manHead {
    position: absolute;
    height: auto;
    width: 10%;
    bottom: 10vw;
    left: 45%;
}

#dodo {
    position: absolute;
    height: auto;
    width: 10%;
    bottom: 10vw;
    left: 75%;
}

.rotate-60s {
    -webkit-animation:spin 60s linear infinite;
    -moz-animation:spin 60s linear infinite;
    animation:spin 60s linear infinite;
}

.rotate-120s {
    -webkit-animation:spin 120s linear infinite;
    -moz-animation:spin 120s linear infinite;
    animation:spin 120s linear infinite;
}

.rotate-180s {
    -webkit-animation:spin 180s linear infinite;
    -moz-animation:spin 180s linear infinite;
    animation:spin 180s linear infinite;
}

.rotate-360s {
    -webkit-animation:spin 360s linear infinite;
    -moz-animation:spin 360s linear infinite;
    animation:spin 360s linear infinite;
}

@-moz-keyframes spin { 100% { -moz-transform: rotate(-360deg); } }
@-webkit-keyframes spin { 100% { -webkit-transform: rotate(-360deg); } }
@keyframes spin { 100% { -webkit-transform: rotate(-360deg); transform:rotate(-360deg); } }